Memory Stores
Get a memory item
Retrieves the specified memory item from the memory store.
Koptekstparameters
Foundry-Features
enum
vereist
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Padparameters
name
string
vereist
The name of the memory store.
memory_id
string
vereist
The ID of the memory item to retrieve.
Queryparameters
api-version
string
vereist
The API version to use for this operation.
Antwoorden
The request has succeeded.
Hoofdtekst
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
vereist
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
vereist
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
vereist
The kind of the memory item.
Aanvraag
GET /memory_stores/{name}/items/{memory_id} HTTP/1.1
Respons
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json